Bug 446016 - Improve multilib arches support.
Improve multilib arches support.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 00:46 EDT by CHIKAMA Masaki
Modified: 2008-06-04 15:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-04 15:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file (1.90 KB, patch)
2008-05-12 00:46 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-12 00:46:18 EDT
Description of problem:
 While adding new architecture to blkid_types-wrapper.h and 
ext2_types-wrapper.h, I propose a better multilib support to e2fsprogs.
Some other packages like net-smnp has this approach.

The patch is against e2fsprogs-1.40.8-2.


--- e2fsprogs.spec.org  2008-05-12 13:14:11.000000000 +0900
+++ e2fsprogs.spec      2008-05-12 13:19:53.000000000 +0900
@@ -1,3 +1,6 @@
+# Arches on which we need to prevent arch conflicts on block_types.h and
blkid_types.h
+%define multilib_arches %{ix86} ia64 ppc ppc64 s390 s390x x86_64
+
 %define        _root_sbindir   /sbin
 %define        _root_libdir    /%{_lib}
  
@@ -108,6 +111,7 @@
 make install install-libs DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p" \
        root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}
  
+%ifarch %{multilib_arches}
 # ugly hack to allow parallel install of 32-bit and 64-bit -devel packages:
 mv -f $RPM_BUILD_ROOT%{_includedir}/ext2fs/ext2_types.h \
       $RPM_BUILD_ROOT%{_includedir}/ext2fs/ext2_types-%{_arch}.h
@@ -116,6 +120,7 @@
 mv -f $RPM_BUILD_ROOT%{_includedir}/blkid/blkid_types.h \
       $RPM_BUILD_ROOT%{_includedir}/blkid/blkid_types-%{_arch}.h
 install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/blkid/blkid_types.h
+%endif
  
 # Our own initscript for uuidd
 install -D -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/uuidd
--- blkid_types-wrapper.h.org   2008-05-12 13:20:22.000000000 +0900
+++ blkid_types-wrapper.h       2008-05-12 13:20:38.000000000 +0900
@@ -17,10 +17,6 @@
 #include "blkid_types-s390.h"
 #elif defined(__x86_64__)
 #include "blkid_types-x86_64.h"
-#elif defined(__alpha__)
-#include "blkid_types-alpha.h"
-#elif defined(__arm__)
-#include "blkid_types-arm.h"
 #else
 #error "This e2fsprogs-devel package does not work your architecture?"
 #endif
--- ext2_types-wrapper.h.org    2008-05-12 13:20:46.000000000 +0900
+++ ext2_types-wrapper.h        2008-05-12 13:20:55.000000000 +0900
@@ -17,10 +17,6 @@
 #include "ext2_types-s390.h"
 #elif defined(__x86_64__)
 #include "ext2_types-x86_64.h"
-#elif defined(__alpha__)
-#include "ext2_types-alpha.h"
-#elif defined(__arm__)
-#include "ext2_types-arm.h"
 #else
 #error "This e2fsprogs-devel package does not work your architecture?"
 #endif
Comment 1 CHIKAMA Masaki 2008-05-12 00:46:18 EDT
Created attachment 305078 [details]
patch file
Comment 2 Eric Sandeen 2008-05-12 00:59:04 EDT
I suppose that's a bit cleaner, so that if new arches aren't multi-arch you
don't have to mess with it.  You might consider adding this to the packaging
wiki (somewhere...) as a better example.

Thanks,
-Eric
Comment 3 CHIKAMA Masaki 2008-05-12 02:19:01 EDT
Ah, yes, I was going to add non-multilib arch (sh3,sh4). 
Would you add some packaging guideline about this.

I've sent similar patch for gmp(Bug #437688), SDL(Bug #433618) 
and net-smnp(Bug #442881) before. But I didn't know what really to do.
I can resend patch according to the guideline.

Thanks.
Comment 4 Bug Zapper 2008-05-14 07:00:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Eric Sandeen 2008-06-04 15:31:08 EDT
Fixed in F9 and rawhide, e2fsprogs-1.40.10-3

Note You need to log in before you can comment on or make changes to this bug.